List events
curl --request GET \
--url https://api.nowadays.ai/v1/events \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nowadays.ai/v1/events"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nowadays.ai/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3f1a2b4c-5d6e-7f80-9a1b-2c3d4e5f6071",
"name": "Annual Conference 2026",
"dates": [
{
"startDate": "2026-03-15",
"endDate": "2026-03-17",
"date": "2026-03-15"
}
],
"locations": [
"Monterey, CA, USA"
],
"numPeople": 120,
"status": "wait_for_proposals",
"createdAt": "2026-01-01T00:00:00.000Z"
}
],
"page": 1,
"limit": 20,
"total": 42
}Events
List events
List the authenticated organization’s events, newest first. Results are scoped to what the key’s user can open.
GET
/
v1
/
events
List events
Authorizations
Query Parameters
1-based page number.
Example:
1
Results per page (1–100).
Example:
20
⌘I